#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,q,c;

    cin>>n>>q;
    if(n%2==0){
        c=(n-1)/2;
    }else{
        c=(n/2)+1;
    }
    int a[n],b[q];
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    for(int i=0;i<q;i++){
        cin>>b[i];
    }
    sort(begin(a), end(a));
    for(int i=0;i<q;i++){
        if(a[c]==b[i]){
            cout<<0<<endl;
        }else if()
    }
    return 0;
}